package com.chinaitop.depot.intelligent.energyMonitor.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TEnergyInfoExample {
    /**
     * t_energy_info
     */
    protected String orderByClause;

    /**
     * t_energy_info
     */
    protected boolean distinct;

    /**
     * t_energy_info
     */
    protected List<Criteria> oredCriteria;

    public TEnergyInfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_energy_info 2019-03-22
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVNhCodeIsNull() {
            addCriterion("v_nh_code is null");
            return (Criteria) this;
        }

        public Criteria andVNhCodeIsNotNull() {
            addCriterion("v_nh_code is not null");
            return (Criteria) this;
        }

        public Criteria andVNhCodeEqualTo(String value) {
            addCriterion("v_nh_code =", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeNotEqualTo(String value) {
            addCriterion("v_nh_code <>", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeGreaterThan(String value) {
            addCriterion("v_nh_code >", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_nh_code >=", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeLessThan(String value) {
            addCriterion("v_nh_code <", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeLessThanOrEqualTo(String value) {
            addCriterion("v_nh_code <=", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeLike(String value) {
            addCriterion("v_nh_code like", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeNotLike(String value) {
            addCriterion("v_nh_code not like", value, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeIn(List<String> values) {
            addCriterion("v_nh_code in", values, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeNotIn(List<String> values) {
            addCriterion("v_nh_code not in", values, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeBetween(String value1, String value2) {
            addCriterion("v_nh_code between", value1, value2, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhCodeNotBetween(String value1, String value2) {
            addCriterion("v_nh_code not between", value1, value2, "vNhCode");
            return (Criteria) this;
        }

        public Criteria andVNhNameIsNull() {
            addCriterion("v_nh_name is null");
            return (Criteria) this;
        }

        public Criteria andVNhNameIsNotNull() {
            addCriterion("v_nh_name is not null");
            return (Criteria) this;
        }

        public Criteria andVNhNameEqualTo(String value) {
            addCriterion("v_nh_name =", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameNotEqualTo(String value) {
            addCriterion("v_nh_name <>", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameGreaterThan(String value) {
            addCriterion("v_nh_name >", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameGreaterThanOrEqualTo(String value) {
            addCriterion("v_nh_name >=", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameLessThan(String value) {
            addCriterion("v_nh_name <", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameLessThanOrEqualTo(String value) {
            addCriterion("v_nh_name <=", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameLike(String value) {
            addCriterion("v_nh_name like", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameNotLike(String value) {
            addCriterion("v_nh_name not like", value, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameIn(List<String> values) {
            addCriterion("v_nh_name in", values, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameNotIn(List<String> values) {
            addCriterion("v_nh_name not in", values, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameBetween(String value1, String value2) {
            addCriterion("v_nh_name between", value1, value2, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVNhNameNotBetween(String value1, String value2) {
            addCriterion("v_nh_name not between", value1, value2, "vNhName");
            return (Criteria) this;
        }

        public Criteria andVHhtypeIsNull() {
            addCriterion("v_hhtype is null");
            return (Criteria) this;
        }

        public Criteria andVHhtypeIsNotNull() {
            addCriterion("v_hhtype is not null");
            return (Criteria) this;
        }

        public Criteria andVHhtypeEqualTo(String value) {
            addCriterion("v_hhtype =", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeNotEqualTo(String value) {
            addCriterion("v_hhtype <>", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeGreaterThan(String value) {
            addCriterion("v_hhtype >", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeGreaterThanOrEqualTo(String value) {
            addCriterion("v_hhtype >=", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeLessThan(String value) {
            addCriterion("v_hhtype <", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeLessThanOrEqualTo(String value) {
            addCriterion("v_hhtype <=", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeLike(String value) {
            addCriterion("v_hhtype like", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeNotLike(String value) {
            addCriterion("v_hhtype not like", value, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeIn(List<String> values) {
            addCriterion("v_hhtype in", values, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeNotIn(List<String> values) {
            addCriterion("v_hhtype not in", values, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeBetween(String value1, String value2) {
            addCriterion("v_hhtype between", value1, value2, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVHhtypeNotBetween(String value1, String value2) {
            addCriterion("v_hhtype not between", value1, value2, "vHhtype");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andFTotalNhIsNull() {
            addCriterion("f_total_nh is null");
            return (Criteria) this;
        }

        public Criteria andFTotalNhIsNotNull() {
            addCriterion("f_total_nh is not null");
            return (Criteria) this;
        }

        public Criteria andFTotalNhEqualTo(BigDecimal value) {
            addCriterion("f_total_nh =", value, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhNotEqualTo(BigDecimal value) {
            addCriterion("f_total_nh <>", value, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhGreaterThan(BigDecimal value) {
            addCriterion("f_total_nh >", value, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_total_nh >=", value, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhLessThan(BigDecimal value) {
            addCriterion("f_total_nh <", value, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_total_nh <=", value, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhIn(List<BigDecimal> values) {
            addCriterion("f_total_nh in", values, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhNotIn(List<BigDecimal> values) {
            addCriterion("f_total_nh not in", values, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_total_nh between", value1, value2, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFTotalNhNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_total_nh not between", value1, value2, "fTotalNh");
            return (Criteria) this;
        }

        public Criteria andFVoltageIsNull() {
            addCriterion("f_voltage is null");
            return (Criteria) this;
        }

        public Criteria andFVoltageIsNotNull() {
            addCriterion("f_voltage is not null");
            return (Criteria) this;
        }

        public Criteria andFVoltageEqualTo(BigDecimal value) {
            addCriterion("f_voltage =", value, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageNotEqualTo(BigDecimal value) {
            addCriterion("f_voltage <>", value, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageGreaterThan(BigDecimal value) {
            addCriterion("f_voltage >", value, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_voltage >=", value, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageLessThan(BigDecimal value) {
            addCriterion("f_voltage <", value, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_voltage <=", value, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageIn(List<BigDecimal> values) {
            addCriterion("f_voltage in", values, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageNotIn(List<BigDecimal> values) {
            addCriterion("f_voltage not in", values, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_voltage between", value1, value2, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFVoltageNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_voltage not between", value1, value2, "fVoltage");
            return (Criteria) this;
        }

        public Criteria andFElectricIsNull() {
            addCriterion("f_electric is null");
            return (Criteria) this;
        }

        public Criteria andFElectricIsNotNull() {
            addCriterion("f_electric is not null");
            return (Criteria) this;
        }

        public Criteria andFElectricEqualTo(BigDecimal value) {
            addCriterion("f_electric =", value, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricNotEqualTo(BigDecimal value) {
            addCriterion("f_electric <>", value, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricGreaterThan(BigDecimal value) {
            addCriterion("f_electric >", value, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_electric >=", value, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricLessThan(BigDecimal value) {
            addCriterion("f_electric <", value, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_electric <=", value, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricIn(List<BigDecimal> values) {
            addCriterion("f_electric in", values, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricNotIn(List<BigDecimal> values) {
            addCriterion("f_electric not in", values, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_electric between", value1, value2, "fElectric");
            return (Criteria) this;
        }

        public Criteria andFElectricNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_electric not between", value1, value2, "fElectric");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIsNull() {
            addCriterion("v_update_person is null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIsNotNull() {
            addCriterion("v_update_person is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonEqualTo(String value) {
            addCriterion("v_update_person =", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotEqualTo(String value) {
            addCriterion("v_update_person <>", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonGreaterThan(String value) {
            addCriterion("v_update_person >", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonGreaterThanOrEqualTo(String value) {
            addCriterion("v_update_person >=", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLessThan(String value) {
            addCriterion("v_update_person <", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLessThanOrEqualTo(String value) {
            addCriterion("v_update_person <=", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonLike(String value) {
            addCriterion("v_update_person like", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotLike(String value) {
            addCriterion("v_update_person not like", value, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonIn(List<String> values) {
            addCriterion("v_update_person in", values, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotIn(List<String> values) {
            addCriterion("v_update_person not in", values, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonBetween(String value1, String value2) {
            addCriterion("v_update_person between", value1, value2, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdatePersonNotBetween(String value1, String value2) {
            addCriterion("v_update_person not between", value1, value2, "vUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNull() {
            addCriterion("v_update_time is null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIsNotNull() {
            addCriterion("v_update_time is not null");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeEqualTo(Date value) {
            addCriterion("v_update_time =", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotEqualTo(Date value) {
            addCriterion("v_update_time <>", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThan(Date value) {
            addCriterion("v_update_time >", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_update_time >=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThan(Date value) {
            addCriterion("v_update_time <", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_update_time <=", value, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeIn(List<Date> values) {
            addCriterion("v_update_time in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotIn(List<Date> values) {
            addCriterion("v_update_time not in", values, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("v_update_time between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andVUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_update_time not between", value1, value2, "vUpdateTime");
            return (Criteria) this;
        }

        public Criteria andITdhIsNull() {
            addCriterion("i_tdh is null");
            return (Criteria) this;
        }

        public Criteria andITdhIsNotNull() {
            addCriterion("i_tdh is not null");
            return (Criteria) this;
        }

        public Criteria andITdhEqualTo(Integer value) {
            addCriterion("i_tdh =", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhNotEqualTo(Integer value) {
            addCriterion("i_tdh <>", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhGreaterThan(Integer value) {
            addCriterion("i_tdh >", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("i_tdh >=", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhLessThan(Integer value) {
            addCriterion("i_tdh <", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhLessThanOrEqualTo(Integer value) {
            addCriterion("i_tdh <=", value, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhIn(List<Integer> values) {
            addCriterion("i_tdh in", values, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhNotIn(List<Integer> values) {
            addCriterion("i_tdh not in", values, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhBetween(Integer value1, Integer value2) {
            addCriterion("i_tdh between", value1, value2, "iTdh");
            return (Criteria) this;
        }

        public Criteria andITdhNotBetween(Integer value1, Integer value2) {
            addCriterion("i_tdh not between", value1, value2, "iTdh");
            return (Criteria) this;
        }

        public Criteria andVZdCodeIsNull() {
            addCriterion("v_zd_code is null");
            return (Criteria) this;
        }

        public Criteria andVZdCodeIsNotNull() {
            addCriterion("v_zd_code is not null");
            return (Criteria) this;
        }

        public Criteria andVZdCodeEqualTo(String value) {
            addCriterion("v_zd_code =", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotEqualTo(String value) {
            addCriterion("v_zd_code <>", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeGreaterThan(String value) {
            addCriterion("v_zd_code >", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_zd_code >=", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeLessThan(String value) {
            addCriterion("v_zd_code <", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeLessThanOrEqualTo(String value) {
            addCriterion("v_zd_code <=", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeLike(String value) {
            addCriterion("v_zd_code like", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotLike(String value) {
            addCriterion("v_zd_code not like", value, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeIn(List<String> values) {
            addCriterion("v_zd_code in", values, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotIn(List<String> values) {
            addCriterion("v_zd_code not in", values, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeBetween(String value1, String value2) {
            addCriterion("v_zd_code between", value1, value2, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVZdCodeNotBetween(String value1, String value2) {
            addCriterion("v_zd_code not between", value1, value2, "vZdCode");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNull() {
            addCriterion("v_remark is null");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNotNull() {
            addCriterion("v_remark is not null");
            return (Criteria) this;
        }

        public Criteria andVRemarkEqualTo(String value) {
            addCriterion("v_remark =", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotEqualTo(String value) {
            addCriterion("v_remark <>", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThan(String value) {
            addCriterion("v_remark >", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("v_remark >=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThan(String value) {
            addCriterion("v_remark <", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThanOrEqualTo(String value) {
            addCriterion("v_remark <=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLike(String value) {
            addCriterion("v_remark like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotLike(String value) {
            addCriterion("v_remark not like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkIn(List<String> values) {
            addCriterion("v_remark in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotIn(List<String> values) {
            addCriterion("v_remark not in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkBetween(String value1, String value2) {
            addCriterion("v_remark between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotBetween(String value1, String value2) {
            addCriterion("v_remark not between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_energy_info
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_energy_info 2019-03-22
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}